create table locations (
	id integer primary key,
	parent integer,
	name text,
	description text
);

insert into locations(parent,name,description) values(null,"Raum 1","Eingang / Kueche");
insert into locations(parent,name,description) values(null,"Raum 2","Server / Chillout-Area");
insert into locations(parent,name,description) values(null,"Raum 3","Hauptlager / Arbeitszimmer / Gemeinschaftsraum");
insert into locations(parent,name,description) values(null,"Raum 4","Chemie / Nebenlager / 3D-Druck / Plotter");
insert into locations(parent,name,description) values(null,"Raum 5","Maschinenraum / Werkstatt");
insert into locations(parent,name,description) values(2,"A",null);
insert into locations(parent,name,description) values(2,"B",null);
insert into locations(parent,name,description) values(2,"C",null);
insert into locations(parent,name,description) values(2,"D",null);
insert into locations(parent,name,description) values(2,"E",null);
insert into locations(parent,name,description) values(2,"F",null);
insert into locations(parent,name,description) values(2,"G",null);

create table containers (
	id integer primary key,
	name text
);

insert into containers(name) values("Grosse Kiste");
insert into containers(name) values("Flache Kiste");
insert into containers(name) values("Komponentenschachtel");
insert into containers(name) values("Regal");
insert into containers(name) values("Tisch");
insert into containers(name) values("Schublade");

create table parts (
	id integer primary key,
	name text,
	tags text,
	location integer not null,
	container integer not null
);

insert into parts(name,tags,location,container) values("SMD-Rollen","smd;rolle",5,1);
insert into parts(name,tags,location,container) values("Grosse Elkos","gross,elko,kondensator",5,1);
insert into parts(name,tags,location,container) values("Wechselblinker Projekt fuer Kinder","wechselblinker;kinder;bausatz",5,1);
insert into parts(name,tags,location,container) values("Bausaetze","bausatz",5,1);
insert into parts(name,tags,location,container) values("Bausaetze fuer Kinder","bausatz;kinder",5,1);
insert into parts(name,tags,location,container) values("DVI-Kabel","dvi;kabel;video;monitor",5,1);
insert into parts(name,tags,location,container) values("VGA-Kabel","vga;kabel;video;monitor",5,1);
insert into parts(name,tags,location,container) values("HDMI-Kabel","hdmi;kabel;video;monitor",5,1);
insert into parts(name,tags,location,container) values("DP-Kabel","dp;displayport;kabel;video;monitor",5,1);
insert into parts(name,tags,location,container) values("USB","usb;usb3;micro;mini;usbc",5,1);
insert into parts(name,tags,location,container) values("USB-Hubs, -Reader, -Divers","usb;usb3;hub;reader;adapter",5,1);
